## gdm3 3.14.1

=== debian/changelog ===
gdm3 (3.14.1-7+deb8u1) jessie-security; urgency=high

  [ Markus Koschany ]
  * Non-maintainer upload by the LTS Security Team.
  * CVE-2018-14424: use after free in specially crafter D-Bus method call
    resulting in denial of service or potential code execution. 

 -- Antoine Beaupré <anarcat@debian.org>  Mon, 27 Aug 2018 16:38:51 -0400

gdm3 (3.14.1-7) unstable; urgency=medium

  * Add Conflicts/Replaces: gdm in libgdm1 as well. Closes: #781535.

 -- Josselin Mouette <joss@debian.org>  Sat, 04 Apr 2015 09:19:43 +0200

gdm3 (3.14.1-6) unstable; urgency=medium

  * Team upload.
  * Under systemd, if gdm fails to start, or if the selected DM is
    kdm or wdm, make sure to run plymouth-quit.service (which gdm normally
    suppresses), so that plymouth-quit-wait.service terminates and gettys
    are not prevented from running. (Closes: #766462, #780257)

 -- Simon McVittie <smcv@debian.org>  Wed, 11 Mar 2015 12:25:38 +0000

gdm3 (3.14.1-5) unstable; urgency=medium

  * Do not fail to start gdm if /etc/default/locale does not exist
    (Closes: #779989)

 -- Simon McVittie <smcv@debian.org>  Sun, 08 Mar 2015 11:52:40 +0000

gdm3 (3.14.1-4) unstable; urgency=medium

  * Team upload.
  * gdm3 Conflicts/Replaces: gdm again, to ensure that obsolete gdm packages
    from squeeze get cleaned up by upgrading wheezy to jessie
    (Closes: #774889)
  * 95_systemd-import-language-into-daemon-environment.patch:
    put the default system locale in gdm's environment (Closes: #644047)

 -- Simon McVittie <smcv@debian.org>  Thu, 05 Mar 2015 21:59:26 +0000

gdm3 (3.14.1-3) unstable; urgency=medium

  * 18_all_displays_transient.patch: fix autologin for the initial 
    display. Closes: #758183.

 -- Josselin Mouette <joss@debian.org>  Sun, 09 Nov 2014 18:16:02 +0100

gdm3 (3.14.1-2) unstable; urgency=medium

  * Team upload.
  * Bring back Xorg.N.log at the X maintainers' request, so that their
    bug script can read it (Closes: #765771)

 -- Simon McVittie <smcv@debian.org>  Sat, 08 Nov 2014 17:11:39 +0000

gdm3 (3.14.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/rules: Remove unneeded rules, the files are now removed from the
    upstream tarball

 -- Laurent Bigonville <bigon@debian.org>  Sun, 19 Oct 2014 19:57:33 +0200

gdm3 (3.14.0-1) unstable; urgency=medium

  [ Pedro Beja ]
  * New upstream release.

  [ Laurent Bigonville ]
  * debian/control.in: Bump Standards-Version to 3.9.6 (no further changes)

 -- Laurent Bigonville <bigon@debian.org>  Wed, 08 Oct 2014 00:39:19 +0200

gdm3 (3.13.92-1) unstable; urgency=medium

  * debian/gdm3.config:
    - make sure /etc/X11 directory exists. (Closes: #757081)
    Thanks to Daniel Baumann
  * New upstream release candidate.
  * Upload to unstable.

 -- Andreas Henriksson <andreas@fatal.se>  Fri, 19 Sep 2014 21:47:23 +0200

gdm3 (3.13.91-1) experimental; urgency=medium

  * New upstream development release.
  * Drop patches backported from upstream now included in release:
    - debian/patches/01_session_windowpath.patch
    - debian/patches/02_slave_windowpath.patch
    - debian/patches/03_dont_mask_SIGUSR1.patch
    - debian/patches/04_really_dont_block_SIGUSR1.patch
  * debian/libgdm1.symbols: update with 4 new additions.

 -- Andreas Henriksson <andreas@fatal.se>  Sat, 06 Sep 2014 17:41:14 -0700

gdm3 (3.12.2-4) unstable; urgency=medium

  * d/p/04_really_dont_block_SIGUSR1.patch: from upstream, Stop masking
    forcibly SIGUSR1, really. (Closes: #756068)
  * Update debian/README.Debian: Stop refering to deprecated programs and
    configuration files (Closes: #760073)
  * debian/rules: Remove duplicate call to dh_systemd_* helpers
  * debian/rules: Pass --as-needed to dh_autoreconf and export "-Wl,-z,defs
    -Wl,-O1 -Wl,--as-needed" to DEB_LDFLAGS_MAINT_APPEND

 -- Laurent Bigonville <bigon@debian.org>  Sat, 06 Sep 2014 18:21:52 +0200

gdm3 (3.12.2-3) experimental; urgency=medium

  * Enable wayland support on Linux.

 -- Andreas Henriksson <andreas@fatal.se>  Sat, 02 Aug 2014 16:24:28 +0200

gdm3 (3.12.2-2.1) unstable; urgency=medium

  * Reinstate patches for better VT management.
    + 17_switch_on_finish.patch: introduce a setting for GdmDisplay that 
      says it needs to go to the login screen when set.
    + 18_all_displays_transient.patch: give all local displays the same 
      properties. Restart them by default, not restart them when told 
      not to.
    + 19_switch_kill_greeter.patch: when switching to an existing 
      session, kill the greeter session and the afferent X server.
    + debian/rules: use configure switch to disable the -novtswitch 
      argument to X, if it ever builds again on !linux.
  * 01_session_windowpath.patch, 02_slave_windowpath.patch: reintroduce 
    WINDOWPATH. Patches from upstream. Closes: #757889.
  * tr.po: updated Turkish translation from Mert Dirik. Closes: #756719.
  * 03_dont_mask_SIGUSR1.patch: patch from upstream. Stop masking 
    forcibly SIGUSR1. Closes: #756068.

 -- Josselin Mouette <joss@debian.org>  Thu, 14 Aug 2014 02:09:47 +0200

gdm3 (3.12.2-2) unstable; urgency=medium

  [ Laurent Bigonville ]
  * debian/control.in: Remove build-dependency against libck-connector-dev for
    linux-any architectures.
  * debian/gdm3.gdm-*.pam: Add call to pam_keyinit.so, the module can
    unconditionally added now that the package is linux only (Closes: #734818)

  [ Andreas Henriksson ]
  * Upload to unstable.

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 14 Jul 2014 23:44:36 +0200

gdm3 (3.12.2-1) experimental; urgency=medium

  * New upstream release
  * Remove kfreebsd-any from Architecture. (Closes: #602724, #601106,
    #612157, #733546)
  * debian/gdm3.init: Try to activate logind before starting gdm to avoid a
    race condition when systemd is not used as PID1 (Closes: #747210)
  * debian/rules: Re-disable consolekit fallback support

 -- Laurent Bigonville <bigon@debian.org>  Tue, 20 May 2014 23:53:50 +0200

gdm3 (3.12.1-1) experimental; urgency=medium


