=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/autoreconf.mk
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/gnome.mk
include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
include /usr/share/gnome-pkg-tools/1/rules/gnome-version.mk
include /usr/share/gnome-pkg-tools/1/rules/patch-translations.mk
-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

# List any files which are not installed
include /usr/share/cdbs/1/rules/utils.mk
DEB_DH_INSTALL_ARGS := --list-missing

DEB_DH_AUTORECONF_ARGS = --as-needed

export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs -Wl,-O1 -Wl,--as-needed
include /usr/share/dpkg/buildflags.mk

GNOME_MODULE := gdm

DEB_CONFIGURE_SCRIPT_ENV += X_PATH="/usr/bin" \
			    X_SERVER_PATH="/usr/bin" \
			    X_SERVER="/usr/bin/Xorg"

DEB_CONFIGURE_EXTRA_FLAGS += --enable-ipv6=yes \
		--with-at-spi-registryd-directory=/usr/lib/at-spi \
		--with-default-path=/usr/local/bin:/usr/bin:/bin:/usr/games \
		--with-custom-conf=/etc/gdm3/daemon.conf \
		--with-sysconfsubdir=gdm3 \
		--with-working-directory=/var/lib/gdm3 \
		--with-xauth-dir=/var/run/gdm3 \
		--with-pid-file=/var/run/gdm3.pid \
		--with-log-dir=/var/log/gdm3 \
		--with-screenshot-dir=/var/run/gdm3/greeter \
		--with-defaults-conf=/usr/share/gdm/defaults.conf \
		--with-user=Debian-gdm --with-group=Debian-gdm \
		--with-lang-file=/etc/default/locale \
		--disable-split-authentication \
		--with-consolekit-directory=/usr/lib/ConsoleKit \
		--with-check-accelerated-directory=/usr/lib/gnome-session/ \
		--with-ran-once-marker-directory=/var/run/gdm3 \
		--with-gnome-settings-daemon-directory="`pkg-config --variable=libexecdir gnome-settings-daemon`" \
		--with-initial-vt=7

ifeq (linux,$(DEB_HOST_ARCH_OS))
		DEB_CONFIGURE_EXTRA_FLAGS += --with-systemd \
				--enable-wayland-support \
				--with-selinux \
				--without-console-kit
else
		DEB_CONFIGURE_EXTRA_FLAGS += --without-systemd \
				--disable-wayland-support \
				--without-selinux \
				--with-console-kit
endif

DEB_CONFIGURE_EXTRA_FLAGS += --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)

ifneq (,$(filter debug,$(DEB_BUILD_OPTIONS)))
	DEB_CONFIGURE_EXTRA_FLAGS += --enable-debug
endif

DEB_MAKE_EXTRA_ARGS += authdir=/var/lib/gdm3
		
ifeq (linux,$(DEB_HOST_ARCH_OS))
	DEB_CONFIGURE_EXTRA_FLAGS += --with-plymouth
else
	DEB_CONFIGURE_EXTRA_FLAGS += --with-vt-switch-workaround
endif


DEB_DH_INSTALLINIT_ARGS := --noscripts

binary-install/gdm3::
	mv debian/gdm3/usr/sbin/gdm debian/gdm3/usr/sbin/gdm3
	chmod 755 debian/gdm3/etc/gdm3/Xsession
	chmod 755 debian/gdm3/usr/share/gdm/generate-config
	dh_installpam -pgdm3 --name=gdm-autologin
	dh_installpam -pgdm3 --name=gdm-launch-environment
	dh_installpam -pgdm3 --name=gdm-password
	rm -rf debian/gdm3/var/lib/gdm3/.[cgl]*
	rm -rf debian/gdm3/var/run
	rm -rf debian/gdm3/usr/include
	rm -rf debian/gdm3/usr/lib/pkgconfig

DEB_DH_SYSTEMD_ENABLE_ARGS_gdm3 := --no-act
DEB_DH_SYSTEMD_START_ARGS_gdm3 := --no-act

INFILES := $(wildcard debian/*.desktop.in)
OUTFILES := $(INFILES:.desktop.in=.desktop)

%.desktop: %.desktop.in
	intltool-merge -d debian/po-up $< $@

build/gdm3:: $(OUTFILES)

MANPAGES := $(patsubst %.pod,%,$(wildcard debian/*.pod))
common-build-arch:: $(MANPAGES)

clean::
	rm -f $(MANPAGES)
	rm -f $(OUTFILES)
	rm -f data/gdm.schemas data/gdm.schemas.in

%: %.pod
	pod2man --section=$(shell echo $@ | sed 's/.*\.//') \
		--release="GNOME $(DEB_GNOME_VERSION)" \
		--center="Debian GNU/Linux" \
		$< \
		| sed -e 's/debian:://' >$@
