## gdm3 3.18.0

=== debian/changelog ===
gdm3 (3.18.0-2ubuntu3) xenial; urgency=medium

  * debian/gdm3.postinst: remove debug code and some useless logic 

 -- Tim Lunn <tim@feathertop.org>  Sat, 14 Nov 2015 19:47:21 +1100

gdm3 (3.18.0-2ubuntu2) xenial; urgency=medium

  * debian/greeter.dconf-defaults: Comment out debian branding 
  * debian/gdm3.postinst: fix missing line in useradd command

 -- Tim Lunn <tim@feathertop.org>  Sat, 14 Nov 2015 16:59:26 +1100

gdm3 (3.18.0-2ubuntu1) xenial; urgency=medium

  * Rename Source and packaging to gdm3 to make merges with debian easier (LP: #1509946)
  * Merge with Debian, Remaining changes:
    + README.Debian: update for correct paths in Ubuntu
    + Use upstream Xsession sript
    + control.in:
      - rename gir package to gir1.2-gdm-1.0
      - Drop recommends on desktop-base
      - drop depends on gnome-icon-theme, adwaita-icon-theme is pulled in by gtk+
      - drop build-deps only required for consolekit build
      - depend on bash for ubuntu_config_error_dialog.patch
      - Add a transitional gdm package
    + rules:
      - Don't override default user/group
      - --enable-gdm-xsession to install upstream Xsession script
      - override of dh_installinit with --no-start to avoid session being killed
    + Move schema file to libgdm
      - gnome-shell requires direct access to this now.
    + add debian/gdm.upstart
    + Migrate settings to gdm3 paths, this can be dropped in 16.10
      - Migrate pam files as per debian structure
      - gdm.preinst, gdm3.postinst: Move conffiles to new location (/etc/gdm3)
      - gdm.postinst: purge the old gdm dconf profile
      - generate_config: update gdm user homedir, done here since upstart blocks
        usermod from working in maintscripts 
      - gdm3.config: force transition of dconf selection to gdm3
    + gdm3.{postinst,postrm}: rename user and group back to gdm
    + gdm3.postinst: don't kill gdm on upgrade
    + gdm3.*.pam: Make pam_env read ~/.pam_environment (LP: #952185)
    + ubuntu_run_xsession.d.patch
    + ubuntu_upstart_event.patch:
      - emit upstart events
    + ubuntu_xresources_is_a_dir.patch
       when running systemd init
    + ubuntu_nvidia_prime.patch:
      - Add hook to run prime-offload (as root) and prime-switch if
        nvidia-prime is installed (LP: #1262068)
    + revert_override_LANG_with_accountservices.patch:
      - On Ubuntu accountservices only stores the language and not the
        full locale as needed by LANG.
    + ubuntu_config_error_dialog.patch:
      - Show warning dialog in case of error in ~/.profile etc. and
        don't let a syntax error make the login fail (LP: #678421).
    + 09_default_session.patch:
      - Dropped, all the other Ubuntu flavors use LightDM and it only takes a
        gsettings override to set a different default session
    + 16_xserver_path.patch: dropped
  
 -- Tim Lunn <tim@feathertop.org>  Sun, 08 Nov 2015 11:32:38 +1100

gdm3 (3.18.0-2) unstable; urgency=medium

  * debian/control.in: plymouth-dev package has been renamed to
    libplymouth-dev, swap the alternatives in the build-dependencies

 -- Laurent Bigonville <bigon@debian.org>  Mon, 12 Oct 2015 09:43:54 +0200

gdm3 (3.18.0-1) unstable; urgency=medium

  [ Andreas Henriksson ]
  * New upstream release.

  [ Laurent Bigonville ]
  * Drop d/p/17_switch_on_finish.patch, d/p/18_all_displays_transient.patch,
    d/p/19_switch_kill_greeter.patch: Not needed anymore.

 -- Laurent Bigonville <bigon@debian.org>  Sun, 11 Oct 2015 14:39:43 +0200

gdm3 (3.17.92-1) experimental; urgency=medium

  [ Laurent Bigonville ]
  * debian/control.in: Move xserver-xorg-core (<< 2:1.17.2-2~) from Conflicts
    to Breaks

  [ Andreas Henriksson ]
  * New upstream release candidate.

 -- Andreas Henriksson <andreas@fatal.se>  Fri, 18 Sep 2015 09:39:55 +0200

gdm3 (3.17.90-1) experimental; urgency=medium

  * New upstream beta release.
  * Update build-dependencies according to configure.ac changes:
    - drop libxrandr-dev
  * Update debian/rules according to configure.ac changes:
    - drop --with/without-systemd and --with/without-consolekit,
      these configure flags are no longer available.
  * Drop debian/patches/07_fix_caribou_path.patch, obsoleted by
    upstream removal of caribou autostart file removal.
  * Temporarily disable patches which no longer apply:
    - 17_switch_on_finish.patch
    - 18_all_displays_transient.patch
    - 19_switch_kill_greeter.patch
  * Drop debian/patches/95_libsystemd.patch, fixed upstream.
  * Drop debian/patches/08_frequent-users_greeter.patch, likely obsolete.
  * Fix and refresh remaining patches to apply.
  * debian/gdm3.install: drop debian/tmp/usr/share/gnome-session/,
    gdm-shell.session no longer shipped upstream. See commit f66cdfcb2948.
    "It's identical to gnome.session these days.  All GDMification comes
    from the overridden gnome-shell.desktop file."
  * Update debian/libgdm1.symbols
  * Add conflicts against xserver-xorg-core (<< 2:1.17.2-2~)
    - gdm >= 3.16 needs an x server with logind support (which is
      currently only available in the Debian Experimental package
      version), or it will fail with "permission denied" on vt7.
    - The gdm3 package has no strict dependency on an x server
      which we can make versioned. Use conflicts instead to prevent
      users from installing incompatible combinations.

 -- Andreas Henriksson <andreas@fatal.se>  Sat, 29 Aug 2015 11:55:31 +0200

gdm (3.16.2-0ubuntu2) wily; urgency=medium

  * debian/patches/ubuntu_config_error_dialog.patch:
    Prevent that ~/.bashrc is sourced when ~/.profile is sourced
    (LP: #1482641).

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Fri, 07 Aug 2015 17:23:00 +0200

gdm (3.16.2-0ubuntu1) wily; urgency=medium

  * New upstream release.

 -- Jackson Doak <noskcaj@ubuntu.com>  Mon, 27 Jul 2015 16:45:51 +1000

gdm (3.16.1.1-0ubuntu1) wily; urgency=medium

  [ Tim Lunn ]
  * New upstream release
  * debian/patches: 

