=== debian/control ===
--- 
+++ 
@@ -5,8 +5,9 @@
 Source: gdm3
 Section: gnome
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Andreas Henriksson <andreas@fatal.se>, Josselin Mouette <joss@debian.org>, Laurent Bigonville <bigon@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Andreas Henriksson <andreas@fatal.se>, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Laurent Bigonville <bigon@debian.org>
 Build-Depends: gnome-pkg-tools (>= 0.16.3),
                debhelper (>= 8.1.3),
                cdbs (>= 0.4.122~),
@@ -14,10 +15,8 @@
                dh-autoreconf,
                dconf-cli (>= 0.19.90),
                intltool (>= 0.40.0),
-               libdbus-glib-1-dev (>= 0.74),
                libglib2.0-dev (>= 2.36.0),
                libgtk-3-dev (>= 2.91.1),
-               libpango1.0-dev (>= 1.3.0),
                libcanberra-gtk3-dev (>= 0.4),
                libfontconfig1-dev (>= 2.5.0),
                libaccountsservice-dev (>= 0.6.12),
@@ -27,7 +26,6 @@
                libnss3-dev (>= 3.11.1),
                libx11-dev,
                libxau-dev,
-               libxrandr-dev,
                libxt-dev,
                libxext-dev,
                check (>= 0.9.10-2~),
@@ -39,7 +37,7 @@
                libxft-dev,
                libxi-dev,
                libxinerama-dev,
-               plymouth-dev [linux-any] | libplymouth-dev [linux-any],
+               libplymouth-dev [linux-any] | plymouth-dev [linux-any],
                yelp-tools,
                libselinux1-dev [linux-any],
                libattr1-dev [linux-any],
@@ -47,12 +45,10 @@
                libaudit-dev [linux-any],
                docbook-xml,
                gsettings-desktop-schemas,
-               libsystemd-login-dev (>= 186) [linux-any],
-               libsystemd-daemon-dev (>= 186) [linux-any],
-               libsystemd-journal-dev [linux-any]
+               libsystemd-dev [linux-any]
 Standards-Version: 3.9.6
 Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/desktop/unstable/gdm3/
-Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/gdm3/
+Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/gdm3/
 
 Package: gdm3
 Architecture: linux-any
@@ -60,12 +56,12 @@
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          libgdm1 (= ${binary:Version}),
-         gir1.2-gdm3 (= ${binary:Version}),
+         gir1.2-gdm-1.0 (= ${binary:Version}),
          adduser,
          libpam-modules (>= 0.72-1),
          libpam-runtime (>= 0.76-13.1),
          libpam-systemd [linux-any], consolekit [!linux-any],
-         gnome-session-bin (>= 3.10),
+         gnome-session-bin (>= 3.15.90),
          gnome-settings-daemon (>= 3.2),
          gnome-shell (>= 3.10.1-2~),
          gnome-session | x-session-manager | x-window-manager | x-terminal-emulator,
@@ -74,29 +70,29 @@
          accountsservice (>= 0.6.12),
          policykit-1 (>= 0.105-5~) [linux-any],
          gsettings-desktop-schemas,
-         libglib2.0-bin (>= 2.35.0),
+         libglib2.0-bin (>= 2.36.0),
          dconf-cli (>= 0.20),
          dconf-gsettings-backend (>= 0.20),
          ucf,
          x11-common (>= 1:7.6+11),
-         x11-xserver-utils
+         x11-xserver-utils,
+         bash (>= 4.3)
 Recommends: zenity,
             xserver-xephyr,
             x11-xkb-utils,
             xserver-xorg,
-            at-spi2-core,
-            gnome-icon-theme,
-            gnome-icon-theme-symbolic,
-            desktop-base (>= 6)
+            at-spi2-core
 Suggests: libpam-gnome-keyring,
           gnome-orca
 Provides: x-display-manager
-Conflicts: gdm
-Replaces: gdm
-Breaks: gnome-panel (<< 3.0),
+Replaces: gdm (<< 3.18)
+Breaks: gdm (<< 3.18),
+        gnome-panel (<< 3.0),
         gnome-screensaver (<< 2.17.7),
         gnome-orca (<< 2.30.0-2),
-        gnome-control-center (<< 3.0)
+        gnome-control-center (<< 3.0),
+        gnome-shell (<< 3.5),
+#        xserver-xorg-core (<< 2:1.17.2-2~)
 Description: GNOME Display Manager
  GDM provides the equivalent of a "login:" prompt for X displays: it 
  asks for a login and starts graphical sessions.
@@ -113,9 +109,9 @@
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          ${gir:Depends}
-Breaks: gdm3 (<< 3.8.3-3~)
-Conflicts: libgdm, gdm
-Replaces: libgdm, gdm, gdm3 (<< 3.8.3-3~)
+Breaks: gdm (<< 3.8.3-3~)
+Conflicts: libgdm
+Replaces: libgdm, gdm (<< 3.8.3-3~)
 Description: GNOME Display Manager (shared library)
  GDM provides the equivalent of a "login:" prompt for X displays: it 
  asks for a login and starts graphical sessions.
@@ -132,7 +128,7 @@
 Architecture: linux-any
 Pre-Depends: ${misc:Pre-Depends}
 Depends: libgdm1 (= ${binary:Version}),
-         gir1.2-gdm3 (= ${binary:Version}),
+         gir1.2-gdm-1.0 (= ${binary:Version}),
          ${shlibs:Depends},
          ${misc:Depends},
          ${gir:Depends}
@@ -147,7 +143,7 @@
  .
  This package contains header and development files.
 
-Package: gir1.2-gdm3
+Package: gir1.2-gdm-1.0
 Section: introspection
 Architecture: linux-any
 Depends: ${gir:Depends},
@@ -165,3 +161,14 @@
  look and design are the same as those of a GNOME session.
  .
  This package contains introspection data for the GNOME Display Manager.
+
+Package: gdm
+Architecture: all
+Priority: extra
+Section: oldlibs
+Depends: ${shlibs:Depends},
+         ${misc:Depends},
+         gdm3
+Description: GNOME Display Manager (transitional package)
+ This is a transitional package to ease upgrades to gnome-calculator.
+ It can be safely removed.
