## gdm3 3.18.2

=== debian/changelog ===
gdm3 (3.18.2-1ubuntu2) xenial; urgency=medium

  * debian/patches/fix_pam_nullok_secure.patch: PAM_TTY needs to be set
    before pam_authenticate is called for nullok_secure arg. (LP: #1561302)
  * debian/patches:
    - 0001_gdm_session_set_PAM_TTY.patch,
      0002_gdm_session_require_password.patch: PAM_TTY needs to be set
      before pam_authenticate is called for nullok_secure arg. (LP: #1561302)
    - 0003_support_new_xorg.patch: git patch to support Xorg 1.18

 -- Tim Lunn <tim@feathertop.org>  Mon, 11 Apr 2016 16:15:50 +1000

gdm3 (3.18.2-1ubuntu1) xenial; urgency=medium

  * New upstream release.
  * Merge with Debian, Remaining changes:
    + README.Debian: update for correct paths in Ubuntu
    + Use upstream Xsession sript
    + control.in:
      - Drop recommends on desktop-base
      - depend on bash for ubuntu_config_error_dialog.patch
      - Add a transitional gdm package
    + rules:
      - Don't override default user/group
      - --enable-gdm-xsession to install upstream Xsession script
      - override of dh_installinit with --no-start to avoid session being killed
    + Move schema file to libgdm
      - gnome-shell requires direct access to this now.
    + add debian/gdm.upstart
    + Migrate settings to gdm3 paths, this can be dropped in 16.10
      - Migrate pam files as per debian structure
      - gdm.preinst, gdm3.postinst: Move conffiles to new location (/etc/gdm3)
      - gdm.postinst: purge the old gdm dconf profile
      - generate_config: update gdm user homedir, done here since systemd blocks
        usermod from working in maintscripts 
      - gdm3.config: force transition of dconf selection to gdm3
    + gdm3.{postinst,postrm}: rename user and group back to gdm
    + gdm3.postinst: don't kill gdm on upgrade
    + gdm3.*.pam: Make pam_env read ~/.pam_environment (LP: #952185)
    + ubuntu_run_xsession.d.patch
    + ubuntu_upstart_event.patch:
      - emit upstart events
    + ubuntu_xresources_is_a_dir.patch
       when running systemd init
    + ubuntu_nvidia_prime.patch:
      - Add hook to run prime-offload (as root) and prime-switch if
        nvidia-prime is installed (LP: #1262068)
    + revert_override_LANG_with_accountservices.patch:
      - On Ubuntu accountservices only stores the language and not the
        full locale as needed by LANG.
    + ubuntu_config_error_dialog.patch:
      - Show warning dialog in case of error in ~/.profile etc. and
        don't let a syntax error make the login fail (LP: #678421).
    + 09_default_session.patch:
      - Dropped, all the other Ubuntu flavors use LightDM and it only takes a
        gsettings override to set a different default session
    + 16_xserver_path.patch: dropped

 -- Tim Lunn <tim@feathertop.org>  Sat, 21 Nov 2015 09:27:23 +1100

gdm3 (3.18.2-1) unstable; urgency=medium

  [ Tim Lunn ]
  * Move schemas to libgdm1 package, gnome-shell requires access to 
    these even when using a different DM. (Closes: #804893)
  * Move gir package to a more standard naming and install typelib file
    into ma path
  * debian/control.in: 
    - Drop depend on gnome-icon-theme{.symbolic} these
      are obsolete now and adwaita-icon-theme is pulled in by libgtk-3-common
    - Mark libdbus-glib-1-dev [!linux-any], its only required for consolekit
      builds

  [ Michael Biebl ]
  * New upstream release.
  * Drop obsolete Breaks, Conflicts and Replaces for versions older than
    oldstable.

 -- Michael Biebl <biebl@debian.org>  Wed, 18 Nov 2015 06:56:38 +0100

gdm3 (3.18.0-2ubuntu4) xenial; urgency=medium

  * Fix possible errors in gdm.{pre, post}inst (LP: #1515980)

 -- Tim Lunn <tim@feathertop.org>  Sun, 15 Nov 2015 06:50:10 +1100
