=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Andreas Henriksson <andreas@fatal.se>, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Laurent Bigonville <bigon@debian.org>
+Uploaders: Andreas Henriksson <andreas@fatal.se>, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>
 Build-Depends: gnome-pkg-tools (>= 0.16.3),
                debhelper (>= 8.1.3),
                cdbs (>= 0.4.122~),
@@ -15,8 +15,10 @@
                dh-autoreconf,
                dconf-cli (>= 0.19.90),
                intltool (>= 0.40.0),
+               libdbus-glib-1-dev (>= 0.74) [!linux-any],
                libglib2.0-dev (>= 2.36.0),
                libgtk-3-dev (>= 2.91.1),
+               libpango1.0-dev (>= 1.3.0),
                libcanberra-gtk3-dev (>= 0.4),
                libfontconfig1-dev (>= 2.5.0),
                libaccountsservice-dev (>= 0.6.12),
@@ -45,7 +47,8 @@
                libaudit-dev [linux-any],
                docbook-xml,
                gsettings-desktop-schemas,
-               libsystemd-dev [linux-any]
+               libsystemd-dev [linux-any],
+               xserver-xorg-dev
 Standards-Version: 3.9.6
 Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/desktop/unstable/gdm3/
 Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/gdm3/
@@ -81,25 +84,19 @@
             xserver-xephyr,
             x11-xkb-utils,
             xserver-xorg,
-            at-spi2-core
+            at-spi2-core,
 Suggests: libpam-gnome-keyring,
           gnome-orca
 Provides: x-display-manager
+Breaks: gdm (<< 3.18)
 Replaces: gdm (<< 3.18)
-Breaks: gdm (<< 3.18),
-        gnome-panel (<< 3.0),
-        gnome-screensaver (<< 2.17.7),
-        gnome-orca (<< 2.30.0-2),
-        gnome-control-center (<< 3.0),
-        gnome-shell (<< 3.5),
-#        xserver-xorg-core (<< 2:1.17.2-2~)
 Description: GNOME Display Manager
- GDM provides the equivalent of a "login:" prompt for X displays: it 
+ GDM provides the equivalent of a "login:" prompt for X displays: it
  asks for a login and starts graphical sessions.
  .
  It supports multiple seats and switching between multiple users.
  .
- The greeter is based on the GNOME libraries and applications, and its 
+ The greeter is based on the GNOME libraries and applications, and its
  look and design are the same as those of a GNOME session.
 
 Package: libgdm1
@@ -109,16 +106,15 @@
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          ${gir:Depends}
-Breaks: gdm (<< 3.8.3-3~)
-Conflicts: libgdm
-Replaces: libgdm, gdm (<< 3.8.3-3~)
+Breaks: gdm3 (<< 3.18.0-3~)
+Replaces: gdm3 (<< 3.18.0-3~)
 Description: GNOME Display Manager (shared library)
- GDM provides the equivalent of a "login:" prompt for X displays: it 
+ GDM provides the equivalent of a "login:" prompt for X displays: it
  asks for a login and starts graphical sessions.
  .
  It supports multiple seats and switching between multiple users.
  .
- The greeter is based on the GNOME libraries and applications, and its 
+ The greeter is based on the GNOME libraries and applications, and its
  look and design are the same as those of a GNOME session.
  .
  This package contains the shared library required by gnome-shell.
@@ -133,12 +129,12 @@
          ${misc:Depends},
          ${gir:Depends}
 Description: GNOME Display Manager (development files)
- GDM provides the equivalent of a "login:" prompt for X displays: it 
+ GDM provides the equivalent of a "login:" prompt for X displays: it
  asks for a login and starts graphical sessions.
  .
  It supports multiple seats and switching between multiple users.
  .
- The greeter is based on the GNOME libraries and applications, and its 
+ The greeter is based on the GNOME libraries and applications, and its
  look and design are the same as those of a GNOME session.
  .
  This package contains header and development files.
@@ -149,10 +145,10 @@
 Depends: ${gir:Depends},
          ${shlibs:Depends},
          ${misc:Depends}
-Conflicts: libgdm
-Replaces: libgdm
+Conflicts: gir1.2-gdm3
+Replaces: gir1.2-gdm3
 Description: GObject introspection data for the GNOME Display Manager
- GDM provides the equivalent of a "login:" prompt for X displays: it 
+ GDM provides the equivalent of a "login:" prompt for X displays: it
  asks for a login and starts graphical sessions.
  .
  It supports multiple seats and switching between multiple users.
@@ -170,5 +166,5 @@
          ${misc:Depends},
          gdm3
 Description: GNOME Display Manager (transitional package)
- This is a transitional package to ease upgrades to gnome-calculator.
+ This is a transitional package to ease upgrades to gdm3.
  It can be safely removed.
