## gdm3 3.18.3

=== debian/changelog ===
gdm3 (3.18.3-0ubuntu2) xenial; urgency=medium

  * debian/patches/90_config_disable_wayland.patch: Force greeter to use
    X11 by default, in some cases it was failing due to missing wayland
    session that is not installed by default.

 -- Tim Lunn <tim@feathertop.org>  Thu, 21 Apr 2016 14:24:49 +1000

gdm3 (3.18.3-0ubuntu1) xenial; urgency=medium

  * New upstream bug fix release
  * Drop git patches included in new release
  * debian/patches/ubuntu_run_xsession.d.patch: refreshed

 -- Tim Lunn <tim@feathertop.org>  Thu, 14 Apr 2016 16:05:25 +1000
