=== debian/rules ===
--- 
+++ 
@@ -26,7 +26,6 @@
 DEB_CONFIGURE_EXTRA_FLAGS += --enable-ipv6=yes \
 		--with-at-spi-registryd-directory=/usr/lib/at-spi \
 		--with-default-path=/usr/local/bin:/usr/bin:/bin:/usr/games \
-		--with-custom-conf=/etc/gdm3/daemon.conf \
 		--with-sysconfsubdir=gdm3 \
 		--with-working-directory=/var/lib/gdm3 \
 		--with-xauth-dir=/var/run/gdm3 \
@@ -34,25 +33,23 @@
 		--with-log-dir=/var/log/gdm3 \
 		--with-screenshot-dir=/var/run/gdm3/greeter \
 		--with-defaults-conf=/usr/share/gdm/defaults.conf \
-		--with-user=Debian-gdm --with-group=Debian-gdm \
 		--with-lang-file=/etc/default/locale \
 		--disable-split-authentication \
 		--with-consolekit-directory=/usr/lib/ConsoleKit \
 		--with-check-accelerated-directory=/usr/lib/gnome-session/ \
 		--with-ran-once-marker-directory=/var/run/gdm3 \
 		--with-gnome-settings-daemon-directory="`pkg-config --variable=libexecdir gnome-settings-daemon`" \
-		--with-initial-vt=7
+		--with-initial-vt=7 \
+		--enable-gdm-xsession
 
 ifeq (linux,$(DEB_HOST_ARCH_OS))
-		DEB_CONFIGURE_EXTRA_FLAGS += --with-systemd \
+		DEB_CONFIGURE_EXTRA_FLAGS += \
 				--enable-wayland-support \
-				--with-selinux \
-				--without-console-kit
+				--with-selinux
 else
-		DEB_CONFIGURE_EXTRA_FLAGS += --without-systemd \
+		DEB_CONFIGURE_EXTRA_FLAGS += \
 				--disable-wayland-support \
-				--without-selinux \
-				--with-console-kit
+				--without-selinux
 endif
 
 DEB_CONFIGURE_EXTRA_FLAGS += --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)
@@ -70,11 +67,11 @@
 endif
 
 
-DEB_DH_INSTALLINIT_ARGS := --noscripts
+DEB_DH_INSTALLINIT_ARGS := --noscripts  --no-start
 
 binary-install/gdm3::
 	mv debian/gdm3/usr/sbin/gdm debian/gdm3/usr/sbin/gdm3
-	chmod 755 debian/gdm3/etc/gdm3/Xsession
+#	chmod 755 debian/gdm3/etc/gdm3/Xsession
 	chmod 755 debian/gdm3/usr/share/gdm/generate-config
 	dh_installpam -pgdm3 --name=gdm-autologin
 	dh_installpam -pgdm3 --name=gdm-launch-environment
