## gdm3 3.20.1

=== debian/changelog ===
gdm3 (3.20.1-1ubuntu1) yakkety; urgency=medium

  * Team upload.  
  * Merge with Debian. Remaining changes:
    + README.Debian: update for correct paths in Ubuntu
    + Use upstream Xsession script
    + control.in:
      - Drop recommends on desktop-base
      - depend on bash for ubuntu_config_error_dialog.patch
      - Add a transitional gdm package
    + rules:
      - Don't override default user/group
      - --enable-gdm-xsession to install upstream Xsession script
      - override of dh_installinit with --no-start to avoid session being killed
    + rules, README.Debian, gdm3.8.pod:
      Use upstream custom.conf instead of daemon.conf
    + Migrate settings to gdm3 paths, this can be dropped in 16.10
      - Migrate pam files as per debian structure
      - gdm.preinst, gdm3.postinst: Move conffiles to new location (/etc/gdm3)
      - gdm.postinst: purge the old gdm dconf profile
      - generate_config: update gdm user homedir, done here since systemd blocks
        usermod from working in maintscripts 
      - gdm3.config: force transition of dconf selection to gdm3
    + gdm3.{postinst,postrm}: rename user and group back to gdm
    + gdm3.postinst: don't kill gdm on upgrade
    + gdm3.*.pam: Make pam_env read ~/.pam_environment (LP: #952185)
    + ubuntu_run_xsession.d.patch
    + ubuntu_upstart_event.patch:
      - emit upstart events
    + ubuntu_xresources_is_a_dir.patch
       when running systemd init
    + ubuntu_nvidia_prime.patch:
      - Add hook to run prime-offload (as root) and prime-switch if
        nvidia-prime is installed (LP: #1262068)
    + revert_override_LANG_with_accountservices.patch:
      - On Ubuntu accountservices only stores the language and not the
        full locale as needed by LANG.
    + ubuntu_config_error_dialog.patch:
      - Show warning dialog in case of error in ~/.profile etc. and
        don't let a syntax error make the login fail (LP: #678421).
    + 09_default_session.patch:
      - Dropped, all the other Ubuntu flavors use LightDM and it only takes a
        gsettings override to set a different default session

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 09 Aug 2016 16:32:07 -0400

gdm3 (3.20.1-1) unstable; urgency=medium

  * New upstream release.
  * Restore debian/patches/09_default_session.patch as we postponed the switch
    to Wayland.
  * Upload to unstable.

 -- Michael Biebl <biebl@debian.org>  Wed, 20 Apr 2016 00:44:11 +0200

gdm3 (3.20.0-2) experimental; urgency=medium

  * debian/rules: Switch back the initial VT to vt1 (Closes: #819423)
  * Drop /usr/share/gdm/greeter/dbus-1 files, gdm/gnome-shell doesn't try to
    start telepathy-mission-control and gnome-online-accounts anymore.
  * Drop debian/patches/09_default_session.patch completely as we want to
    default to the wayland session for now.
  * debian/default.desktop.in: Update the Name of the Comment to make it clear
    that it will start the X11 default session of the system.

 -- Laurent Bigonville <bigon@debian.org>  Mon, 04 Apr 2016 15:04:03 +0200

gdm3 (3.20.0-1) experimental; urgency=medium

  * Drop debian/patches/93_disable_gvfs.patch
    - superseded by upstream commit 5e81151a147
      "launch-environment: disable gvfs except in initial setup mode"
  * Bump gnome-shell dependency to >= 3.19.92
    - new interactions between gdm and gnome-shell for session start
  * New upstream release.
  * Temporarily disable debian/patches/09_default_session.patch
    - the System Default ("default") session is currently broken, so use
      upstreams default ("gnome") while investigating.

 -- Andreas Henriksson <andreas@fatal.se>  Fri, 25 Mar 2016 11:26:09 +0100

gdm3 (3.19.92-1) experimental; urgency=medium

  * New upstream release.
  * Add build-dependency on xserver-xorg-dev for xorg-server.pc
    - upstream configure.ac now checks for xserver version.
  * Bump Standards-Version to 3.9.7.
  * Refresh the following patches to apply:
    - debian/patches/09_default_session.patch
    - debian/patches/16_xserver_path.patch
    - debian/patches/90_config_comments.patch
      (Drop greeter section comments as that section was removed.)
    - debian/patches/93_disable_gvfs.patch

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 15 Mar 2016 21:18:48 +0100
