=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>
+Uploaders: Andreas Henriksson <andreas@fatal.se>, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>
 Build-Depends: gnome-pkg-tools (>= 0.16.3),
                debhelper (>= 8.1.3),
                cdbs (>= 0.4.122~),
@@ -49,7 +49,7 @@
                gsettings-desktop-schemas,
                libsystemd-dev [linux-any],
                xserver-xorg-dev
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/desktop/unstable/gdm3/
 Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/gdm3/
 
@@ -64,16 +64,16 @@
          libpam-modules (>= 0.72-1),
          libpam-runtime (>= 0.76-13.1),
          libpam-systemd [linux-any], consolekit [!linux-any],
-         gnome-session-bin (>= 3.15.90),
+         gnome-session-bin (>= 3.10),
          gnome-settings-daemon (>= 3.2),
-         gnome-shell (>= 3.10.1-2~),
+         gnome-shell (>= 3.19.92),
          gnome-session | x-session-manager | x-window-manager | x-terminal-emulator,
          lsb-base (>= 3.2-14),
          librsvg2-common,
          accountsservice (>= 0.6.12),
          policykit-1 (>= 0.105-5~) [linux-any],
          gsettings-desktop-schemas,
-         libglib2.0-bin (>= 2.36.0),
+         libglib2.0-bin (>= 2.35.0),
          dconf-cli (>= 0.20),
          dconf-gsettings-backend (>= 0.20),
          ucf,
@@ -88,7 +88,8 @@
 Suggests: libpam-gnome-keyring,
           gnome-orca
 Provides: x-display-manager
-Breaks: gdm (<< 3.18)
+Breaks: xserver-xorg-core (<< 2:1.17.2-2~),
+        gdm (<< 3.18)
 Replaces: gdm (<< 3.18)
 Description: GNOME Display Manager
  GDM provides the equivalent of a "login:" prompt for X displays: it
@@ -153,7 +154,7 @@
  .
  It supports multiple seats and switching between multiple users.
  .
- The greeter is based on the GNOME libraries and applications, and its 
+ The greeter is based on the GNOME libraries and applications, and its
  look and design are the same as those of a GNOME session.
  .
  This package contains introspection data for the GNOME Display Manager.
