=== debian/rules ===
--- 
+++ 
@@ -39,7 +39,6 @@
 		--with-check-accelerated-directory=/usr/lib/gnome-session/ \
 		--with-ran-once-marker-directory=/var/run/gdm3 \
 		--with-gnome-settings-daemon-directory="`pkg-config --variable=libexecdir gnome-settings-daemon`" \
-		--with-initial-vt=7 \
 		--enable-gdm-xsession
 
 ifeq (linux,$(DEB_HOST_ARCH_OS))
